# Установка

Установка необходимых пакетов:

```sh
sudo apt-get install zsh keychain antibody peco gpg-agent
```

Клонирование репозитория в каталог `~/.config/zsh`:

```sh
git clone https://git.246060.ru/f1x1t/zshrc ~/.config/zsh
```

Настройка менеджера ключей `keychain`:

```sh
cp ~/.config/zsh/keychain-config.zsh.example ~/.config/zsh/keychain-config.zsh
```

после чего изменить в файле ` ~/.config/zsh/keychain-config.zsh` строку

```sh
zstyle :omz:plugins:keychain identities id_rsa
```

чтобы она содержала идентификаторы, используемых ключей SSH и GPG.

С правами суперпользователя открыть файл `/etc/zsh/zshenv` в редакторе

```sh
sudo ${EDITOR:-mcedit} /etc/zsh/zshenv
```

и добавить строку

```sh
export ZDOTDIR=$HOME/.config/zsh
```

Установить интерпретатор Zsh по умолчанию для пользователя `username`.

```sh
sudo usermod -s /usr/bin/zsh username
```

Создать для текущего пользователя файл настройки агента Gnupg:

```sh
mkdir -p ~/.config/gnupg
tee ~/.config/gnupg/gpg-agent.conf >/dev/null <<EOF
default-cache-ttl 36000
max-cache-ttl 999999
enable-ssh-support
enable-putty-support
default-cache-ttl-ssh 36000
allow-loopback-pinentry
pinentry-program /usr/bin/pinentry-qt
EOF
```

Выйти из системы, авторизоваться заново и добавить информацию
о своём ключе в базу агента:

```sh
ssh-add ~/.ssh/id-rsa
```

